unit MyAcc;
interface
uses QSObjs;
type

  TMyAccum = class(TAccumulator)
  private
    FMaxParcels : integer;
    procedure TakeParcel(Index : integer); override;
  public
    property MaxParcels: integer read FMaxParcels write FMaxParcels;
    constructor Create; override;
  end;

implementation

constructor TMyAccum.Create;
begin
  inherited;
  FMaxParcels := 0;
end;

procedure TMyAccum.TakeParcel;
begin
  inherited;
  if ParcelCount > FMaxParcels then FMaxParcels := ParcelCount;
end;



end.
