library Randoms;
uses Windows;

var
  InitNumber : longint;
  PlaneNumber : longint;

procedure CustomRandomize;
begin
  InitNumber := 3;
  PlaneNumber := InitNumber+8;
end;

function PlaneRND: single;
begin
  PlaneNumber := LoWord(PlaneNumber*InitNumber);
  Result := PlaneNumber / $FFFF;
end;

function NormRND: single;
const
   N = 6;
var Sum : real;
    i : integer;
    SumDisp : real;
    SqrDev : real;
    Meen : real;
    Number : array [0..N-1] of real;
begin
  Sum := 0;
  for i := 0 to N-1 do begin
    Number[i] := PlaneRND;
    Sum := Sum + Number[i];
  end;
  Meen := Sum / N;
  SumDisp := 0;
  for i := 1 to N-1 do SumDisp := SumDisp + Sqr(Number[i]-Meen);
  SqrDev := Sqrt(SumDisp/N);
  Result := SqrDev*Sqrt(2)*(Sum-3)+Meen;
end;

function ExpRND: single;
var L : integer;
begin
  L := 2;
  Result := -Ln(PlaneRND)/L;
end;

exports
  //CustomRandomize index 0,
  PlaneRND index 1,
  NormRND index 2,
  ExpRND index 3;

begin
  CustomRandomize;
end.
